import request from '@/utils/request'

// 查询车辆分组列表
export function listGroup(query) {
    return request({
        url: '/car/group/list',
        method: 'get',
        params: query
    })
}

// 查询车辆分组详细
export function getGroup(groupId,uuid) {
    return request({
        url: '/car/group/' + groupId + '/' + uuid,
        method: 'get'
    })
}

// 新增车辆分组
export function addGroup(data) {
    return request({
        url: '/car/group',
        method: 'post',
        data: data
    })
}

// 修改车辆分组
export function updateGroup(data) {
    return request({
        url: '/car/group',
        method: 'put',
        data: data
    })
}

// 删除车辆分组
export function delGroup(groupId) {
    return request({
        url: '/car/group',
        method: 'delete',
        data: {
            ids: groupId
        }
    })
}
