import request from '@/utils/request'

// 查询车辆信息列表
export function listInfo(query) {
    return request({
        url: '/car/info/list',
        method: 'get',
        params: query
    })
}

// 查询车辆信息详细
export function getInfo(carId,uuid) {
    return request({
        url: '/car/info/' + carId + '/' + uuid,
        method: 'get'
    })
}

// 新增车辆信息
export function addInfo(data) {
    return request({
        url: '/car/info',
        method: 'post',
        data: data
    })
}

// 修改车辆信息
export function updateInfo(data) {
    return request({
        url: '/car/info',
        method: 'put',
        data: data
    })
}

// 删除车辆信息
export function delInfo(carId) {
    return request({
        url: '/car/info',
        method: 'delete',
        data: {
            ids: carId
        }
    })
}
