import request from '@/utils/request'

// 查询司机信息列表
export function listInfo(query) {
    return request({
        url: '/driver/info/list',
        method: 'get',
        params: query
    })
}

// 查询司机信息详细
export function getInfo(driverId,uuid) {
    return request({
        url: '/driver/info/' + driverId + '/' + uuid,
        method: 'get'
    })
}

// 新增司机信息
export function addInfo(data) {
    return request({
        url: '/driver/info',
        method: 'post',
        data: data
    })
}

// 修改司机信息
export function updateInfo(data) {
    return request({
        url: '/driver/info',
        method: 'put',
        data: data
    })
}

// 删除司机信息
export function delInfo(driverId) {
    return request({
        url: '/driver/info',
        method: 'delete',
        data: {
            ids: driverId
        }
    })
}
