import request from '@/utils/request'

// 查询线路规划列表
export function listLine(query) {
    return request({
        url: '/line/line/list',
        method: 'get',
        params: query
    })
}

// 查询线路规划详细
export function getLine(lineId,uuid) {
    return request({
        url: '/line/line/' + lineId + '/' + uuid,
        method: 'get'
    })
}

// 新增线路规划
export function addLine(data) {
    return request({
        url: '/line/line',
        method: 'post',
        data: data
    })
}

// 修改线路规划
export function updateLine(data) {
    return request({
        url: '/line/line',
        method: 'put',
        data: data
    })
}

// 删除线路规划
export function delLine(lineId) {
    return request({
        url: '/line/line',
        method: 'delete',
        data: {
            ids: lineId
        }
    })
}
