import request from "@/utils/request";

// 查询站点分组列表
export function listSiteGroup(query) {
  return request({
    url: "/car/siteGroup/list",
    method: "get",
    params: query,
  });
}

// 查询站点分组详细
export function getSiteGroup(groupId, uuid) {
  return request({
    url: "/car/siteGroup/" + groupId + "/" + uuid,
    method: "get",
  });
}

// 新增站点分组
export function addSiteGroup(data) {
  return request({
    url: "/car/siteGroup",
    method: "post",
    data: data,
  });
}

// 修改站点分组
export function updateSiteGroup(data) {
  return request({
    url: "/car/siteGroup",
    method: "put",
    data: data,
  });
}

// 删除站点分组
export function delSiteGroup(groupId) {
  return request({
    url: "/car/siteGroup",
    method: "delete",
    data: {
      ids: groupId,
    },
  });
}
