import request from '@/utils/request'

// 查询站点列表
export function listSite(query) {
    return request({
        url: '/car/site/list',
        method: 'get',
        params: query
    })
}

// 查询站点详细
export function getSite(siteId,uuid) {
    return request({
        url: '/car/site/' + siteId + '/' + uuid,
        method: 'get'
    })
}

// 新增站点
export function addSite(data) {
    return request({
        url: '/car/site',
        method: 'post',
        data: data
    })
}

// 修改站点
export function updateSite(data) {
    return request({
        url: '/car/site',
        method: 'put',
        data: data
    })
}

// 删除站点
export function delSite(siteId) {
    return request({
        url: '/car/site',
        method: 'delete',
        data: {
            ids: siteId
        }
    })
}
