import AMapLoader from "@amap/amap-jsapi-loader";
import markBsPng from "@/assets/images/mark_bs.png";

// 初始化地图
export const loadAMap = async (plugins) => {
  try {
    const AMap = await AMapLoader.load({
      key: "377d7c36dd385e2a722f29d4c6e1ffbf", // 申请好的Web端开发者Key，首次调用 load 时必填
      version: "2.0", // 指定要加载的 JSAPI 的版本，缺省时默认为 1.4.15
      plugins, // 需要使用的的插件列表，如比例尺'AMap.Scale'等
      AMapUI: {
        // 是否加载 AMapUI，缺省不加载
        version: "1.1", // AMapUI 版本
        plugins: ["overlay/SimpleMarker"], // 需要加载的 AMapUI ui插件
      },
      Loca: {
        // 是否加载 Loca， 缺省不加载
        version: "2.0", // Loca 版本
      },
    });
    // const map = new AMap.Map("map-container", {
    //   zoom: 16, // 缩放级别
    //   center: [117.290345, 31.797813], // 中心点
    // });
    return AMap;
  } catch (error) {
    console.log(error);
    throw new Error("地图创建失败");
  }
};

export const getGPSPosition = (options) =>
  new Promise((resolve, reject) => {
    navigator.geolocation.getCurrentPosition(
      (result) => {
        resolve(result);
      },
      (error) => {
        reject(error);
      },
      options
    );
  });

export const searchPlace = ({ AMap, map, searchPlugin, keyword, events }) => {
  if (events.beforeSearch) {
    events.beforeSearch();
  }
  searchPlugin.search(keyword, (status, result) => {
    if (status === "complete") {
      const searchResultMarkers = result.poiList.pois.map((el, index) => {
        const marker = new AMap.Marker({
          map,
          position: el.location,
          anchor: "bottom-center",
          extData: el,
          content: `
              <div
                style="
                  background-image: url(${markBsPng});
                  width: 19px;
                  height: 31px;
                  background-size: cover;
                  color: #fff;
                  text-align: center;
                  font-size: 12px;
                  padding-top: 3px;
                "
              >
                ${index + 1}
              </div>
              `,
        });
        // marker.on("mouseover", handleResultHover);
        // marker.on("click", handleResultClick);
        // marker.on("mouseout", (ev) => {
        //   resultInfoWindow.value.close();
        // });
        return marker;
      });
      map.setFitView(searchResultMarkers);
    }
  });
};
